select
  id,
  amount,
  created_at
from
  transaction
where
  (created_at between '2015-03-01 12:00:00' and '2015-03-01 17:00:00') and
  actual_or_reserve = 'Actual' and
  payment_or_recovery = 'Recovery'
order by
  created_at;
